/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplicaion or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * Copyright (C) Tivoli Systems/IBM.  2000
 *
 * NAME
 *      amlogtypes.h - PolicyDirector Logging Service header
 *
 * DESCRIPTION
 *     This header file contains the definitions of Logging Service
 *     specific macros and the "C" API functions prototypes.
 */

#ifndef AM_LOGTYPES_H
#define AM_LOGTYPES_H

#include <sys/types.h>

#include <IVTypes.h>

/*
 * Audit record commit options
 */

typedef enum AMLogEnumCommit {
    PD_COMMIT_QUEUE = 0,
    PD_COMMIT_SYNC = 1,
    PD_COMMIT_FLUSH = 2,
    PD_TERMINATOR = 4
} AMLogEnumCommit;
#define PDLogEnumCommit AMLogEnumCommit
/*
 * Define tag names for common AM log files
 */
#define AM_REGISTRY_POOL "EventPool"
#define PD_REGISTRY_POOL AM_REGISTRY_POOL
#define AM_AUDIT_LOG "audit"
#define PD_AUDIT_LOG AM_AUDIT_LOG
#define AM_TRACE_LOG "trace"
#define PD_TRACE_LOG AM_TRACE_LOG
#define EVENT_LOC_BUF_SIZE 1024

typedef enum AMTraceEnumLogLevel {
    PD_TRACE_0 = 0,
        PD_TRACE_NONE = PD_TRACE_0,

    PD_TRACE_1 = 1,
        PD_TRACE_BASE = PD_TRACE_1,

        PD_TRACE_2 = 2,
    PD_TRACE_3,
    PD_TRACE_4,
    PD_TRACE_5,
    PD_TRACE_6,
        PD_TRACE_7,

        PD_TRACE_8,
        PD_TRACE_ROUTINE = PD_TRACE_8,

        PD_TRACE_9 = 9,
        PD_TRACE_DATA = PD_TRACE_9,

    PD_TRACE_MIN = PD_TRACE_1,
    PD_TRACE_MAX = PD_TRACE_9
} AMTraceEnumLogLevel;
#define PDTraceEnumLogLevel AMTraceEnumLogLevel


/*
 PD Log interface text character encoding
*/
#define AM_LOG_ENCODING_UTF8 "UTF8"
#define PD_LOG_ENCODING_UTF8 AM_LOG_ENCODING_UTF8
#define AM_LOG_ENCODING_LCP  NULL
#define PD_LOG_ENCODING_LCP  AM_LOG_ENCODING_LCP


#endif
